%global packname  optextras
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          2016.8.8
Release:          1%{?dist}.67
Summary:          Tools to Support Optimization Possibly with Bounds and Masks

Group:            Applications/Engineering 
License:          GPL-2
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_2016-8.8.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   R-numDeriv
# Imports:   
# Suggests:  
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-numDeriv 


BuildRequires:    R-devel tex(latex) R-numDeriv



%description
Tools to assist in safely applying user generated objective and derivative
function to optimization programs. These are primarily function
minimization methods with at most bounds and masks on the parameters.
Provides a way to check the basic computation of objective functions that
the user provides, along with proposed gradient and Hessian functions, as
well as to wrap such functions to avoid failures when inadmissible
parameters are provided. Check bounds and masks. Check scaling or
optimality conditions. Perform an axial search to seek lower points on the
objective function surface. Includes forward, central and backward
gradient approximation codes.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Jan 18 2017 Oleg Girko <ol@infoserver.lv> 2016.8.8-1
- Initial package for Fedora
